> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список мастер-паролей

> List master passwords under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    get:
      tags:
        - public-accounts
        - public-credentials
      summary: Список мастер-паролей
      description: List master passwords under the path account.
      operationId: list_public_credentials_v1_public_accounts__account_id__credentials_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialListResponse:
      properties:
        items:
          description: Мастер-пароли на этой странице
          items:
            $ref: '#/components/schemas/CredentialDTO'
          title: Элементы
          type: array
        page:
          description: Текущий номер страницы, основанный на единице
          title: Страница
          type: integer
        page_size:
          description: Максимальное количество элементов на странице
          title: Размер страницы
          type: integer
        total:
          description: Всего подходящих мастер-паролей
          title: Всего
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: CredentialListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Время создания мастер-пароля
          title: Создано в
          type: string
        id:
          description: UUID мастер-пароля
          format: uuid
          title: ID
          type: string
        name:
          description: Отображаемое имя мастер-пароля
          title: Имя
          type: string
        scope_id:
          description: UUID ресурса для области мастер-пароля
          format: uuid
          title: Id области
          type: string
        scope_type:
          description: Тип области ресурса, где применяется мастер-пароль
          enum:
            - account
            - workspace
            - domain
          title: Тип области
          type: string
        updated_at:
          description: Время последнего обновления мастер-пароля
          title: Обновлено в
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````